
#ifndef F_RF_h
#define F_RF_h


#include "F_Data.h"

class F_RF : public F_Data {

   public :
      F_RF ();

   public :
      virtual void Reset ();
      virtual void Reset (const faster_data_p data);

   protected :
      virtual Bool_t  Type_Check (const Int_t type);
              TString Type_Name  ();

	protected :
      Float_t period_ns;
      Float_t trig_dt_ns;
      Float_t pll_dt_ns;
      Bool_t  saturated;

   public :
      ClassDef (F_RF, 2)

};

#endif
